// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface DELOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.DEL)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Value of phase A to phase B measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsAB = 1;</code>
   * @return Whether the phsAB field is set.
   */
  boolean hasPhsAB();
  /**
   * <pre>
   * Value of phase A to phase B measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsAB = 1;</code>
   * @return The phsAB.
   */
  openfmb.commonmodule.CMV getPhsAB();
  /**
   * <pre>
   * Value of phase A to phase B measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsAB = 1;</code>
   */
  openfmb.commonmodule.CMVOrBuilder getPhsABOrBuilder();

  /**
   * <pre>
   * Value of phase B to phase C measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsBC = 2;</code>
   * @return Whether the phsBC field is set.
   */
  boolean hasPhsBC();
  /**
   * <pre>
   * Value of phase B to phase C measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsBC = 2;</code>
   * @return The phsBC.
   */
  openfmb.commonmodule.CMV getPhsBC();
  /**
   * <pre>
   * Value of phase B to phase C measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsBC = 2;</code>
   */
  openfmb.commonmodule.CMVOrBuilder getPhsBCOrBuilder();

  /**
   * <pre>
   * Value of phase C to phase A measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsCA = 3;</code>
   * @return Whether the phsCA field is set.
   */
  boolean hasPhsCA();
  /**
   * <pre>
   * Value of phase C to phase A measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsCA = 3;</code>
   * @return The phsCA.
   */
  openfmb.commonmodule.CMV getPhsCA();
  /**
   * <pre>
   * Value of phase C to phase A measurement.
   * </pre>
   *
   * <code>.commonmodule.CMV phsCA = 3;</code>
   */
  openfmb.commonmodule.CMVOrBuilder getPhsCAOrBuilder();
}
